import { useCallback } from 'react';
import { QuestionTypes } from '../../components/CioQuiz/actions';
const useQuizBackClick = (quizApiState, dispatchLocalState) => {
    const quizBackClickHandler = useCallback(() => {
        if (dispatchLocalState) {
            dispatchLocalState({ type: QuestionTypes.Back, payload: quizApiState.quizCurrentQuestion });
        }
    }, [dispatchLocalState, quizApiState.quizCurrentQuestion]);
    return quizBackClickHandler;
};
export default useQuizBackClick;
