"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
const ShareButton_1 = tslib_1.__importDefault(require("../ShareButton/ShareButton"));
const QuizResultsSummary_1 = tslib_1.__importDefault(require("../QuizResultsSummary/QuizResultsSummary"));
function ResultFiltersAndShare({ onShare, numberOfResults, showShareButton, }) {
    var _a, _b, _c, _d, _e;
    const { state } = (0, react_1.useContext)(context_1.default);
    const matchedOptions = (_a = state === null || state === void 0 ? void 0 : state.quiz) === null || _a === void 0 ? void 0 : _a.matchedOptions;
    const summary = (_e = (_d = (_c = (_b = state === null || state === void 0 ? void 0 : state.quiz) === null || _b === void 0 ? void 0 : _b.resultsConfig) === null || _c === void 0 ? void 0 : _c.desktop) === null || _d === void 0 ? void 0 : _d.response_summary) !== null && _e !== void 0 ? _e : null;
    return (react_1.default.createElement("div", { className: 'cio-results-filter-and-redo-container cio-results-button-group' },
        react_1.default.createElement("div", { className: 'cio-results-filter-container' },
            react_1.default.createElement(QuizResultsSummary_1.default, { summary: summary, matchedOptions: matchedOptions })),
        react_1.default.createElement("div", { className: 'cio-results-number-and-share-button-group' },
            numberOfResults,
            " ",
            numberOfResults === 1 ? 'result' : 'results',
            showShareButton && react_1.default.createElement(ShareButton_1.default, { onClick: onShare }))));
}
exports.default = ResultFiltersAndShare;
