import React, { useContext } from 'react';
import QuizContext from '../CioQuiz/context';
export default function ResultCtaButton(props) {
    const { item, price } = props;
    const { getAddToCartButtonProps } = useContext(QuizContext);
    if (getAddToCartButtonProps) {
        return (
        // eslint-disable-next-line react/button-has-type
        React.createElement("button", { ...getAddToCartButtonProps(item, price) }, "Add to Cart"));
    }
    return null;
}
